
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>详解addEventListener的三个参数之useCapture / iVAN</title>

    <meta name="description" content="详解addEventListener的三个参数之useCapture  本文主要给大家介绍的是addEventListener的三个参数之中的useCapture参数的使用及示例分享,有需要的小伙伴参考下     addEventListener 有三个参数:第一个参数表示事件名称(不含 on,如 &quot;click&quot;):第二个参数表示要接收事件处理的函数:第三个参数为 useCapture,本文就讲解它.   代码如下: &lt;div id=&quot;outDiv&quot;&gt; &lt;div id=&quot;middleDiv&quo ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">详解addEventListener的三个参数之useCapture</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 本文主要给大家介绍的是addEventListener的三个参数之中的useCapture参数的使用及示例分享，有需要的小伙伴参考下</p>
<p> <br />
 </p>
<p>addEventListener 有三个参数：第一个参数表示事件名称（不含 on，如 "click"）；第二个参数表示要接收事件处理的函数；第三个参数为  useCapture，本文就讲解它。</p>
<p> </p>
<p>代码如下:<br />
<br />
&lt;div id="outDiv"&gt;<br />
&lt;div  id="middleDiv"&gt;<br />
&lt;div id="inDiv"&gt;请在此点击鼠标。&lt;/div&gt;<br />
&lt;/div&gt;<br />
&lt;/div&gt;<br />
&lt;div id="info"&gt;&lt;/div&gt;<br />
<br /> </p>
<p> </p>
<p>代码如下:<br />
<br />
var outDiv =  document.getElementById("outDiv");<br />
var middleDiv =  document.getElementById("middleDiv");<br />
var inDiv =  document.getElementById("inDiv");<br />
var info =  document.getElementById("info");<br />
outDiv.addEventListener("click", function ()  { info.innerHTML += "outDiv" + "&lt;br&gt;"; },  false);<br />
middleDiv.addEventListener("click", function () { info.innerHTML +=  "middleDiv" + "&lt;br&gt;"; }, false);<br />
inDiv.addEventListener("click",  function () { info.innerHTML += "inDiv" + "&lt;br&gt;"; }, false);<br />
<br /> </p>
<p>上述是我们测试的代码，根据 info 的显示来确定触发的顺序，有三个 addEventListener，而 useCapture 可选值为 true 和  false，所以 2*2*2，可以得出 8 段不同的程序。</p>
<p>•全为 false 时，触发顺序为：inDiv、middleDiv、outDiv；<br />
•全为 true  时，触发顺序为：outDiv、middleDiv、inDiv；<br />
•outDiv 为 true，其他为 false  时，触发顺序为：outDiv、inDiv、middleDiv；<br />
•middleDiv 为 true，其他为 false  时，触发顺序为：middleDiv、inDiv、outDiv；<br />
•……</p>
<p>最终得出如下结论：</p>
<p>•true 的触发顺序总是在 false 之前；<br />
•如果多个均为 true，则外层的触发先于内层；<br />
•如果多个均为  false，则内层的触发先于外层。</p>
<p>以上就是本文的全部内容了，希望大家能够喜欢。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 07:26:10</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%8f%82%e6%95%b0/" title="参数">参数</a>, <a href="https://www.iamivan.net/tag/false/" title="false">false</a>, <a href="https://www.iamivan.net/tag/%e9%a1%ba%e5%ba%8f/" title="顺序">顺序</a>, <a href="https://www.iamivan.net/tag/getelementbyid/" title="getelementbyid">getelementbyid</a>, <a href="https://www.iamivan.net/tag/addeventlistener/" title="addEventListener">addEventListener</a>, <a href="https://www.iamivan.net/tag/usecapture/" title="useCapture">useCapture</a>, <a href="https://www.iamivan.net/tag/%e7%ac%ac%e4%b8%89%e4%b8%aa%e5%8f%82%e6%95%b0/" title="第三个参数">第三个参数</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>详解addEventListener的三个参数之useCapture的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3JrGNz.html" rel="bookmark">详解addEventListener的三个参数之useCapture&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				addEventListener 有三个参数:第一个参数表示事件名称(不含 on,如 &quot;click&quot;):第二个参数表示要接收事件处理的函数:第三个参数为 useCapture,本文就讲解它. 复制代码 代码如下: &lt;div id=&quot;outDiv&quot;&gt;   &lt;div id=&quot;middleDiv&quot;&gt;     &lt;div id=&quot;inDiv&quot;&gt;请在此点击鼠标.&lt;/div&gt;   &lt;/d			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQkZeop.html" rel="bookmark">addEventListener&lpar;&rpar;第三个参数useCapture &lpar;Boolean&rpar;详细解析&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				举例 &lt;div id=&quot;div1&quot;&gt;  &lt;div id=&quot;div2&quot;&gt;    &lt;div id=&quot;div3&quot;&gt;      &lt;div id=&quot;div4&quot;&gt;      &lt;/div&gt;    &lt;/div&gt;  &lt;/div&gt;&lt;/div&gt; 如果在 d3 上点击鼠标,事件流是这样的: 捕获阶段 在 div1 处检测是否有 useCapture 为 t			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p86rNPb.html" rel="bookmark">详解Android获得系统GPU参数 gl&period;glGetString</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				详解Android获得系统GPU参数 gl.glGetString 通过文档的查找,以及源码的剖析,Android的GPU信息需要通过OpenGL来获取,android framework层提供GL10来获取相应的参数,而GL10要在使用自定义的View时才可以获得,下面是获得GPU信息的例子: 1.实现Render类 class DemoRenderer implements GLSurfaceView.Renderer { public void onSurfaceCreated(GL10			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPPo8rp.html" rel="bookmark">Java虚拟机详解03----常用JVM配置参数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文主要内容: Trace跟踪参数 堆的分配参数 栈的分配参数   零.在IDE的后台打印GC日志: 既然学习JVM,阅读GC日志是处理Java虚拟机内存问题的基础技能,它只是一些人为确定的规则,没有太多技术含量. 既然如此,那么在IDE的控制台打印GC日志是必不可少的了.现在就告诉你怎么打印. (1)如果你用的是Eclipse,打印GC日志的操作如下: 在上图的箭头处加上-XX:+PrintGCDetails这句话.于是,运行程序后,GC日志就可以打印出来了: (2)如果你用的是Intelli			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOnEWqp.html" rel="bookmark">详解javascript replace&lpar;&rpar;第二个参数为函数时的参数用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				javascript的replace()第二个参数为函数时的参数: replace()函数具有替换功能,它可以具有两个参数,第一个参数可以是要被替换的字符串或者匹配要被替换字符串的正则表达式,第二个参数可以是替换文本或者一个函数,下面看一下关于replace()函数的几个代码实例. 代码实例: 实例一: &lt;script&gt; varstr=&quot;I love jb51 and you?&quot;; console.log(str.replace(&quot;jb&quot;,&quot;j			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3ZYPAz.html" rel="bookmark">C&num;调用存储过程详解&lpar;带返回值、参数输入输出等&rpar;&lowbar;C&num;教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了C#调用存储过程的方法.分享给大家供大家参考,具体如下: CREATE PROCEDURE [dbo].[GetNameById] @studentid varchar(8), @studentname nvarchar(50) OUTPUT AS BEGIN SELECT @studentname=studentname FROM student WHERE studentid=@studentid if @@Error&lt;&gt;0 RETURN -1 else RETURN 0 E			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MA6avXp.html" rel="bookmark">android 之断点续传详解三部曲之&lbrack;三&rsqb; &srarr; 多任务同时下载</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天跟大家一起分享下android开发中比较难的一个环节,可能很多人看到这个标题就会感觉头很大,的确如果没有良好的编码能力和逻辑思维,这块是很难搞明白的,前面2次总结中已经为大家分享过有关技术的一些基本要领,我们先一起简单回顾下它的基本原理. 三部曲之一:http://blog.csdn.net/gulaer/article/details/8513825 三部曲之二:http://blog.csdn.net/gulaer/article/details/8513916 什么是多线程下载? 多线			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWG777M.html" rel="bookmark">详解Oracle dg 三种模式切换&lowbar;oracle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle dg 三大模式切换 ===================================1  最大性能模式MAXIMUM PERFORMANCE   ------默认模式 =================================== 一 最大性能模式特点 192.168.1.181 SQL&gt; select database_role,protection_mode,protection_level from v$database; DATABASE_ROLE PROTE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDARwLb.html" rel="bookmark">Python中的默认参数详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了Python中的默认参数详解,本文讲解了默认参数的基本原理.如何正确地使用可变参数等内容,需要的朋友可以参考下 文章的主题 不要使用可变对象作为函数的默认参数例如 list,dict,因为def是一个可执行语句,只有def执行的时候才会计算默认默认参数的值,所以使用默认参数会造成函数执行的时候一直在使用同一个对象,引起bug. 基本原理 在 Python 源码中,我们使用def来定义函数或者方法.在其他语言中,类似的东西往往只是一一个语法声明关键字,但def却是一个可执行的			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpd7W2M.html" rel="bookmark" class="title">C&num;委托和事件</a>
					<div>
						委托和事件 .NET Framework 还可以广泛地将委托用于事件处理任务,如 Windows 或 Web 应用程序中的按钮 Click 事件.Java 中的事件处理通常通过实现自定义侦听器类完成, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0PajM.html" rel="bookmark" class="title">word2010撤销与恢复方法</a>
					<div>
						  在编辑Word2010文档的时候,如果所做的操作不合适,而想返回到当前结果前面的状态,则可以通过&quot;撤销键入&quot;或&quot;恢复键入&quot;功能实现.&quot;撤销&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5NNRz.html" rel="bookmark" class="title">Mac键盘进水怎么办&comma;能修吗</a>
					<div>
						  Mac键盘进水怎么办?Mac键盘进水怎么维修?估计要是小编自己Mac键盘进水了也会有点心痛,因为Mac键盘是很贵的,所以在键盘进水后怎么处理,这是一个非常重要的技巧,也是一个复杂的技巧,所以小编用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGYKkM.html" rel="bookmark" class="title">ASP学习之FSO组件操作实例技巧&lpar;10&rpar;</a>
					<div>
						fso|技巧   四,file.Delete   很显然,就是直接删除文件了.  4,delfile.ASP   &lt;%whichfile=Server.MapPath(&quot;cnbruce ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwNv8p.html" rel="bookmark" class="title">Asp&period;net中的mail的发送</a>
					<div>
						asp.net 现在的邮件发送大多数需要验证,我写这篇文章是希望对大家开发项目有所帮助,也希望大家能给我提点意见. 把jmail引用到工程中,加入jmail的命名空间,在这里我将引用jmail包的me ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDLyOz.html" rel="bookmark" class="title">BetweenAS3 tween engine软件下载</a>
					<div>
						许多人已经在使用tweener. 或是tweenlite, tweenMax. 这里还有另一款不错的tween engine. 可以从这里查看24000个粒子 (19 hits)的运行效果.下载Bet ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NWENz.html" rel="bookmark" class="title">观察者模式概述</a>
					<div>
						一.什么是观察者模式? 观察者模式(Observer)是类的行为模式.观察者模式定义了一种一对多的依 赖关系,让多个观察者同时观察某一个观察主题,当这一个观察主题发生改变的 时候,会通知所有的观察者, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNKqlb.html" rel="bookmark" class="title">Linux操作系统内存管理的源码实现</a>
					<div>
						最近一段时间在阅读Linux的源代码,想把看到的东西写出来,觉得内存这一部分最简单,就先写了出 来.请指正! 内存最低4K的地址是一张页目录(page_dir),页目录共1024项,每项4字节.目录项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwYW8z.html" rel="bookmark" class="title">ASP&period;NET 2&period;0中DataTable小兵变大将</a>
					<div>
						我们先看一段WEB Service的代码. [WebMethod] public DataTable GetInfo() ...{ OleDbConnection nwindConn = new Ol ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AnYmp.html" rel="bookmark" class="title">Win 8系统邮件功能新体验方法</a>
					<div>
						第一步. 我们调出超级任务栏,找到&quot;设置&quot;选项,找到&quot;账户&quot;一项,如图 找到&quot;账户&quot; 第二步. 点击进入后,如图   windows8教程  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baddyJz.html" rel="bookmark" class="title">SDRAM的结构、时序与性能的关系</a>
					<div>
						我们现在要重要分析一下SDRAM的时序与性能之间的关系,它不在局限于芯片本身,而是从整体的内存系统去分析.这也是广大DIYer所关心的 话题.比如CL值对性能的影响有多大几乎是每个内存论坛都会有讨论, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72xEAp.html" rel="bookmark" class="title">win8系统安装火狐浏览器后无法启动怎么办</a>
					<div>
						  解决方法一:找到这个profile文件,并删除它.这个文件一般在:C:Documents and SettingsAdministratorApplication DataMozillaFiref ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrDgVM.html" rel="bookmark" class="title">图的综合应用-迪杰斯特拉算法&lpar;导游图&rpar;</a>
					<div>
						数据结构的大实验  基本跟线性链表的什么学生管理系统没什么区别 还有什么查询景点之类的 对于这种的系统函数写完了  但是主函数偷懒了没写 唯一有算法的就是迪杰斯特拉求两个景点的最短路径了 图是用邻接矩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQlJnp.html" rel="bookmark" class="title">javascript-js模仿ps切图功能怎么做？</a>
					<div>
						问题描述 js模仿ps切图功能怎么做? 最近要写一个功能,js模仿ps动态切图的功能,一直没有思路,请各位大神指教,跪谢!!!! 解决方案 开源中国找插件....					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7amJp.html" rel="bookmark" class="title">2017年Q2企业SaaS收入近150亿美元 同比增长31&percnt;</a>
					<div>
						Synergy Research Group第二季度数据显示,企业SaaS市场同比增长31%,收入达到近150亿美元.微软仍然是企业SaaS收入的领先者,一年前超过了市场领袖Salesforce.微软 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEooOp.html" rel="bookmark" class="title">ART世界探险&lpar;4&rpar; - 数据传送指令和桶型移位器</a>
					<div>
						ART世界探险(4) - 数据传送指令和桶型移位器 数据传送指令 将数在寄存器之间传递,或者将立即数传给寄存器.所谓的立即数,就是直接写在指令里的数,比如MOV X0,100,这个100就是立即数.立 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjL22mp.html" rel="bookmark" class="title">python tab自动补全脚本</a>
					<div>
						自动安装方法:脚本http://www.aliyun.com/zixun/aggregation/18479.html&quot;&gt;下载地址(linux下可用wget下载):http://www ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB1X1b.html" rel="bookmark" class="title">了解一下JAVA中的NIO模块</a>
					<div>
						网上资料大把,但要写写代码,我这个年纪的人才有一点点记忆了.. 参考URL: http://blog.csdn.net/wuxianglong/article/details/6612282 pack ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBR1WM.html" rel="bookmark" class="title">webpack 拾翠：充分利用 CommonsChunkPlugin&lpar;&rpar;</a>
					<div>
						本文讲的是webpack 拾翠:充分利用 CommonsChunkPlugin(), 原文地址:webpack bits: Getting the most out of the CommonsChu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDe9aXb.html" rel="bookmark" class="title">从零开始学Java 有关线程的学习总结</a>
					<div>
						&lt;Java编程思想&gt;整理的一些学习笔记,有不对的地方,欢迎指出. 1 .资源冲突,如果两个线程确实是在修改同一个对象,共享资源的冲突将变得更糟糕,因为这有可能把对象设置成不正确的状态.通过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7w9Qp.html" rel="bookmark" class="title">关于开源软件的奇怪经济学</a>
					<div>
						我总是使用经济学家为机器的主机名命名.凯恩斯(keynes) , 弗里德曼(friedman) , 马克思(marx) , 费希尔(fisher) , 李嘉图(ricardo)命名.因为常常会有开源软 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RRdWz.html" rel="bookmark" class="title">梆梆安全阚志刚：我们把大部分精力和财力都转向了物联网安全</a>
					<div>
						近日,由信息安全与通信保密杂志社.中国电子科技网络信息安全有限公司主办.梆梆安全支持的&lt;信息安全与通信保密&gt;理事大会在北京召开.会上,中国工程院院士倪光南.中国电子科技网络信息安全有限公司 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1rO3b.html" rel="bookmark" class="title">微软改弦更张：欲加强与开源社区合作</a>
					<div>
						Linux等开源社区曾经是微软的心腹大患,如今后者却改弦更张,希望加强合作.图为 Linux发行版Ubuntu.新浪科技讯 北京时间4月13日早间消息,微软正在创建新的全资子公司Microsoft O ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEQL5z.html" rel="bookmark" class="title">jQuery选择器的工作原理和优化分析&lowbar;jquery</a>
					<div>
						每次申明一个jQuery对象的时候,返回的是jQuery.prototype.init 对象,很多人就会不明白,init明明是jQuery.fn的方法啊,实际上这里不是方法,而是init的构造函数,因 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0xJyz.html" rel="bookmark" class="title">Java创建多线程的两种方式对比&lowbar;java</a>
					<div>
						采用继承Thead类实现多线程: 优势:编写简单,如果需要访问当前线程,只需使用this即可,无需使用Thead.currentThread()方法. 劣势:因为这种线程类已经继承了Thead类,所以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2eJ6M.html" rel="bookmark" class="title">JS实现图片剪裁并预览效果&lowbar;javascript技巧</a>
					<div>
						今天又疯狂学习了web前端的图片剪裁效果,可以有个区域来框住图片的某一部分,并可以预览框住的部分  效果图如下: 看着是不是很炫呢 简单介绍下实现方法吧 1.布局就是左右两块div,右边的好说,主要是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GLDJp.html" rel="bookmark" class="title">js动态添加删除&comma;后台取数据&lpar;示例代码&rpar;&lowbar;javascript技巧</a>
					<div>
						环境描述:就像你一般在论坛上发表文章,可能带附件,附件的数量是你手动添加删除的!!/********************************************************** ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdm1gxz.html" rel="bookmark" class="title">PHP CLI模式下PCNTL扩展实现多进程服务的例子</a>
					<div>
						PHP可通过PCNTL扩展实现进程控制,如进程创建,信号处理,进程中断判断等.但只能在CLI模式下操作. PCNTL的信号机制是基于 ticks 机制实现的.因此在使用信号相关函数时需要在前面添加de ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmk1dz.html" rel="bookmark" class="title">【求助】DISPLAY environment variable not set</a>
					<div>
						问题描述 在redhatenterpriselinux6.0上面安装weblogic12.1.3的时候,执行了:java-jarfmw_12.1.3.0.0_wls.jar提示报错:Checkingm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7xjQb.html" rel="bookmark" class="title">我不需要语音和视频 改怎么初始化 按照demo的来会 couldn&amp;amp&semi;&num;039&semi;t find &amp;amp&semi;amp&semi;quot&semi;libhyphenate&lowbar;av&period;so&amp;amp&semi;amp&semi;quot&semi;</a>
					<div>
						问题描述 解决方案 你jar是使用的libs.without.audio下的jar吗解决方案二:嗯 导错包了					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
